# Contributing

👍🎉 First off, thanks for taking the time to contribute! 🎉👍

If you have found an issue or would like to request a new feature, simply create a new issue detailing the request. We also welcome pull requests. See below for information on getting started with development and submitting pull requests.

Please note we have a [code of conduct](https://github.com/arifszn/reactive-button/blob/main/CODE_OF_CONDUCT.md), please follow it in all your interactions with the project.

## Found an Issue?

If you find a bug in the source code or a mistake in the documentation, you can help us by
submitting an issue to our [GitHub Repository](https://github.com/arifszn/reactive-button/issues/new). Even better you can submit a Pull Request
with a fix.

## Submitting a Pull Request

- If applicable, update the `readme`
- Use prettier before committing
- Example for a commit message

  ```
  Fix type validation for typescript
  ```

### Developing

Fork, then clone the repo:

```sh
git clone https://github.com/your-username/reactive-button.git
cd reactive-button
```

Install dependencies:

```sh
npm install
```

### Building

Running the `build` task will create the `dist` version of the project.

```sh
npm run build
```

### Project Structure

```text
root
├── dist
└── src
    └── css
└── types
```
